Subject: HELP: looking for this plants (herbs)!!!

From: [email-masked]
Date: 16 Mar 95 11:46:52 +0100

I hope this is the correct group.

I need to find and buy the next herbs or plants:
	BURDOCK ROOT
	SHEEP SORREL HERB
	TURKEY RHUBARD ROOT
	SLIPPERY ELM BARK
Better if I can get it in Spain or in Europe.

I need help with their translation into Spanish too. I make this translation
but I'm not sure it is exact:
	Burdock root = raiz de bardana
	Sheep Sorrel = acedera de oveja
	Turkey Rhubard Root = raiz de ruibarbo de pavo
	Slippery Elm Bark = corteza resbaladiza de olmo

Any help would be appreciated.
Thanks.
Jesus.